Skip to main content
`Ctrl`+`K`

# PetscDrawGetSingleton

Gain access to a `PetscDraw` object as if it were owned by the one process.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawGetSingleton(PetscDraw draw, PetscDraw *sdraw)

Collective

## Input Parameter

- draw - the original window

## Output Parameter

- sdraw - the singleton window

## See Also

`PetscDraw`, `PetscDrawRestoreSingleton()`, `PetscViewerGetSingleton()`, `PetscViewerRestoreSingleton()`

## Level

advanced

## Location

src/sys/classes/draw/interface/draw.c

## Implementations

PetscDrawGetSingleton_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawGetSingleton_Null() in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawGetSingleton_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages